Subject: bug#18102: 24.3; emacs stops responding to keyboard after closing frame

From: Robert Marshall <[email-masked]>
Date: Tue, 29 Dec 2015 17:46:02 +0000

Lars Ingebrigtsen writes:
 > Stefan Monnier <[email-masked]> writes:
 > 
 > >>> Sometimes after closing a frame, emacs ignores all key events in
 > >>> remaining open frames after explicitly clicking in them to set
 > >>> point. Ctrl-g does nothing. I can't type anything in those frames.
 > >
 > > Could you run Emacs under GDB (see .../etc/DEBUG for some instructions)
 > > to see what it's doing while it's not responsive?
 > >
 > > You can also try (setq debug-on-event 'sigusr2) and then do a
 > > "kill -USR2 <emacspid>" from the shell, to see if it gets you
 > > a Lisp-level backtrace.
 > 
 > More information was requested, but no response was given within a few
 > months, so I'm closing this bug report.  If the problem still exists,
 > please reopen this bug report.
 > 

Go ahead and close - I've not seen this bug for ages!

Robert
-- 
Robert Marshall               twitter: @rajm